Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.symboltable
Class VariableNameDeclaration

    java.lang.Object
      net.sourceforge.pmd.symboltable.AbstractNameDeclaration
          net.sourceforge.pmd.symboltable.VariableNameDeclaration

All Implemented Interfaces:
  NameDeclaration

    public class VariableNameDeclaration

extends AbstractNameDeclaration

Field Summary

Fields inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`node`

Constructor Summary
`VariableNameDeclaration(ASTVariableDeclaratorId node)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`AccessNode` | `getAccessNodeParent()`
`ASTVariableDeclaratorId` | `getDeclaratorId()`
`Scope` | `getScope()`
`java.lang.Class` | `getType()`
`java.lang.String` | `getTypeImage()`
`int` | `hashCode()`
`boolean` | `isArray()`
`boolean` | `isExceptionBlockParameter()`
`boolean` | `isPrimitiveType()`
`boolean` | `isReferenceType()` Note that an array of primitive types (int[]) is a reference type.
`java.lang.String` | `toString()`

Methods inherited from class net.sourceforge.pmd.symboltable.AbstractNameDeclaration
`getImage, getNode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VariableNameDeclaration

    public VariableNameDeclaration(ASTVariableDeclaratorId node)

Method Detail

### getScope

    public Scope getScope()

  Specified by:
    `getScope` in interface `NameDeclaration`
  Overrides:
    `getScope` in class `AbstractNameDeclaration`

### isArray

    public boolean isArray()

### isExceptionBlockParameter

    public boolean isExceptionBlockParameter()

### isPrimitiveType

    public boolean isPrimitiveType()

### getTypeImage

    public java.lang.String getTypeImage()

### isReferenceType

    public boolean isReferenceType()

  Note that an array of primitive types (int[]) is a reference type.

### getAccessNodeParent

    public AccessNode getAccessNodeParent()

### getDeclaratorId

    public ASTVariableDeclaratorId getDeclaratorId()

### getType

    public java.lang.Class getType()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.